layui.define(['element', 'form'], function(exports) {
    var $ = layui.jquery,element = layui.element, layer = layui.layer, form = layui.form;

    form.render();

    /* 导航菜单切换 */
    $('.main-nav a').click(function () {
        var that = $(this), i = $(this).attr('data-i');
        $('.layui-nav-tree').hide().eq(i-1).show();
    });

    /* 操作提示 */
    $('.help-tips').click(function(){
        layer.tips($(this).attr('data-title'), this, {
            tips: [3, '#009688'],
            time: 5000
        });
        return false;
    });

    /*弹出选择设置*/
    $(document).on('click', '.j-select', function() {
        var that = $(this);
        _url = that.attr('data-href'),
            _title = that.attr('data-title'),
            _width = that.attr('data-width') ? that.attr('data-width')+'' : 750,
            _height = that.attr('data-height') ? that.attr('data-height')+'' : 500,
            _full = that.attr('data-full'),
            _checkbox = that.attr('data-checkbox');

        if (that.parents('form')[0]) {
            var query = that.parents('form').serialize();
        } else {
            var query = $('#pageListForm').serialize();
        }
        if(_checkbox && !query){
            return;
        }
        $.post(_url, query, function(res) {
            layer.closeAll('dialog');
            var lay = layer.open({type:1, title:_title, content:res, area: [_width+'px', _height+'px']});
            form.render('select');
        });
    });

    /*iframe弹窗*/
    $(document).on('click', '.j-iframe', function() {
        var that = $(this),
            _url = that.attr('data-href'),
            _title = that.attr('data-title'),
            _width = that.attr('data-width') ? that.attr('data-width')+'' : '85%',
            _height = that.attr('data-height') ? that.attr('data-height')+'' : '80%',
            _full = that.attr('data-full'),
            _checkbox = that.attr('data-checkbox');


        if (!_url) {
            layer.msg('请设置href参数');
            return false;
        }
        if(_checkbox){
            if ($('.checkbox-ids:checked').length <= 0) {
                layer.msg('请选择要操作的数据');
                return false;
            }

            var ids = [];
            $('.checkbox-ids:checked').each(function(index, item) {
                if(item.checked){
                    ids.push(item.value);
                }
            });
            _ids = ids.join(',');
            _url = _url.indexOf('?') > -1 ? _url + '&ids='+_ids : _url + '?ids=' + _ids;
        }
        var lay = layer.open({type:2, title:_title, content:_url, area: [_width+'', _height+'']});
        if(_full=='1'){
            layer.full(lay);
        }
        return false;
    });


    /* 小提示 */
    $('.tooltip').hover(function() {
        var that = $(this);
        that.find('i').show();
    }, function() {
        var that = $(this);
        that.find('i').hide();
    });

    $('.j-search').click(function(){
        var that = $(this);
        that.parents('form').attr('method','get');
        that.parents('form').submit();
    });

    /* 列表按钮组 */
    $('.j-page-btns').click(function(){
        var that = $(this),
            code = function(that) {
                var href = that.attr('href') ? that.attr('href') : that.attr('data-href'),
                _checkbox = !that.attr('data-checkbox') ? 'yes' : that.attr('data-checkbox'),
                _ajax = !that.attr('data-ajax') ? 'yes' : that.attr('data-ajax'),
                _ids = '';
                if (!href) {
                    layer.msg('请设置data-href参数');
                    return false;
                }

                if(_checkbox=='yes') {
                    if ($('.checkbox-ids:checked').length <= 0) {
                        layer.msg('请选择要操作的数据');
                        return false;
                    }
                    var ids = [];
                    $('.checkbox-ids:checked').each(function(index, item) {
                        if(item.checked){
                            ids.push(item.value);
                        }
                    });
                    _ids = ids.join(',');
                }
                if(_ajax=='yes') {
                    if (that.parents('form')[0]) {
                        var query = that.parents('form').serialize();
                    } else {
                        var query = $('#pageListForm').serialize();
                    }
                    layer.msg('数据提交中...', {time: 500000});
                    $.post(href, query, function (res) {
                        layer.msg(res.msg, {}, function () {
                            if (res.code != 0) {
                                location.reload();
                            }
                        });
                    });
                }
                else{
                    location.href= href.indexOf('?') ==-1 ? href+'?ids='+ _ids : href+'&ids='+_ids;
                }
            };
        if (that.hasClass('confirm')) {
            var tips = that.attr('tips') ? that.attr('tips') : '您确定要执行此操作吗？';
            layer.confirm(tips, {title:false, closeBtn:0}, function(index){
                code(that);
                layer.close(index);
            });
        } else {
            code(that);
        }
        return false;
    });


    exports('global', {});
});
